/*
**  Copyright (c) 2009 Sendmail, Inc. and its suppliers.
**	All rights reserved.
**
**  $Id: batv-config.h,v 1.5 2009/04/26 03:58:13 msk Exp $
*/

#ifndef _BATV_CONFIG_H_
#define _BATV_CONFIG_H_

#ifndef lint
static char batv_config_h_id[] = "@(#)$Id: batv-config.h,v 1.5 2009/04/26 03:58:13 msk Exp $";
#endif /* !lint */

struct configdef batvf_config[] =
{
	{ "AddAuthenticationResults",	CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "AllSenders",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "AuthservID",			CONFIG_TYPE_STRING,	FALSE },
	{ "AuthservIDWithJobID",	CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "AutoRestart",		CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "AutoRestartCount",		CONFIG_TYPE_INTEGER,	FALSE },
	{ "AutoRestartRate",		CONFIG_TYPE_STRING,	FALSE },
	{ "Background",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "BaseDirectory",		CONFIG_TYPE_STRING,	FALSE },
	{ "Domain",			CONFIG_TYPE_STRING,	FALSE },
	{ "DontSignMailTo",		CONFIG_TYPE_STRING,	FALSE },
	{ "EnableCoredumps",		CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "IgnoreAuthenticatedClients",	CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "Include",			CONFIG_TYPE_INCLUDE,	FALSE },
	{ "InternalHosts",		CONFIG_TYPE_STRING,	FALSE },
	{ "KeyFile",			CONFIG_TYPE_STRING,	FALSE },
	{ "KeyList",			CONFIG_TYPE_STRING,	FALSE },
	{ "KeyVersion",			CONFIG_TYPE_INTEGER,	FALSE },
	{ "LogWhy",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "MacroList",			CONFIG_TYPE_STRING,	FALSE },
	{ "MilterDebug",		CONFIG_TYPE_INTEGER,	FALSE },
	{ "Mode",			CONFIG_TYPE_STRING,	FALSE },
	{ "MTA",			CONFIG_TYPE_STRING,	FALSE },
	{ "PeerList",			CONFIG_TYPE_STRING,	FALSE },
	{ "PidFile",			CONFIG_TYPE_STRING,	FALSE },
	{ "Quarantine",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "RemoveARAll",		CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "RemoveARFrom",		CONFIG_TYPE_STRING,	FALSE },
	{ "SendmailFormat",		CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "SetReplies",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "SignatureTTL",		CONFIG_TYPE_INTEGER,	FALSE },
	{ "Socket",			CONFIG_TYPE_STRING,	FALSE },
	{ "Syslog",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "SyslogFacility",		CONFIG_TYPE_STRING,	FALSE },
	{ "TestMode",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ "UserID",			CONFIG_TYPE_STRING,	FALSE },
	{ "X-Header",			CONFIG_TYPE_BOOLEAN,	FALSE },
	{ NULL,				-1,			FALSE }
};

#endif /* _BATV_CONFIG_H_ */
