/*
**  Copyright (c) 2007-2009 Sendmail, Inc. and its suppliers.
**	All rights reserved.
**  Sendmail, Inc. Confidential
**
**  $Id: batv-filter.h,v 1.25 2009/06/01 01:31:02 msk Exp $
*/

#ifndef _BATV_FILTER_H_
#define _BATV_FILTER_H_

#ifndef lint
static char batv_filter_h_id[] = "@(#)$Id: batv-filter.h,v 1.25 2009/06/01 01:31:02 msk Exp $";
#endif /* !lint */

#define	BATV_PRODUCT	"Sendmail BATV Filter"
#define	BATV_VERSION	"0.5.0"

#define	BATV_REJECTESC	"5.7.1"
#define	BATV_REJECTSMTP	"550"

#define AUTHRESULTSHDR	"Authentication-Results"
#define	JOBIDUNKNOWN	"unknown-jobid"
#define	LOCALHOST	"localhost"
#define	MTAUNKNOWN	"unknown-mta"
#define	QREASON		"quarantined by " BATV_PRODUCT
#define	XHEADERNAME	"X-BATV"

#define	BATV_MAXHOSTNAMELEN	256	/* biggest hostname allowed */
#define BATV_MAXHEADER		4096    /* buffer for caching one header */

#define CMDLINEOPTS	"a:Abc:d:D:fhi:k:lm:M:np:P:qrsSt:u:v:Vx"

#define	BUFRSZ		512
#define	DEFSIGLIFETIME	7
#define	MAXARGV		2048
#define	SHA1_DIGEST_SIZE 20

/* make sure we have TRUE and FALSE */
#ifndef FALSE
# define FALSE		0
#endif /* ! FALSE */
#ifndef TRUE
# define TRUE		1
#endif /* ! TRUE */

/* ...and other things */
#ifndef MAXHOSTNAMELEN
# define MAXHOSTNAMELEN	256
#endif /* ! MAXHOSTNAMELEN */
#ifndef _PATH_DEVNULL
# define _PATH_DEVNULL	"/dev/null"
#endif /* ! _PATH_DEVNULL */

/*
**  PEER -- peer list, listing clients to ignore
*/

typedef struct peer * Peer;
struct peer
{
	bool		peer_neg;
	char *		peer_info;
	struct peer *	peer_next;
};

#endif /* ! _BATV_FILTER_H_ */
