/*
**  Copyright (c) 2008, 2009 Sendmail, Inc. and its suppliers.
**	All rights reserved.
**
**  $Id: util.h,v 1.3 2009/04/26 04:38:52 msk Exp $
*/

#ifndef _UTIL_H_
#define _UTIL_H_

#ifndef lint
static char util_h_id[] = "@(#)$Id: util.h,v 1.3 2009/04/26 04:38:52 msk Exp $";
#endif /* !lint */

/* system includes */
#include <sys/types.h>

/* PROTOTYPES */
extern bool batvf_checkhost __P((Peer, char *));
extern bool batvf_checkip __P((Peer, struct sockaddr *));
extern bool batvf_load_list __P((FILE *, Peer *));
extern void batvf_lowercase __P((u_char *));
extern int batvf_socket_cleanup __P((char *));
extern void batvf_trimspaces __P((u_char *));

#endif /* _UTIL_H_ */
